maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Raphaël Piéroni" <raphaelpier...@gmail.com>
Subject Re: How to support modelVersion > 4.0.0
Date Sun, 23 Nov 2008 22:00:44 GMT
Hi folks,

Maybe i missed some discussions about new pom versions.

But, when this new pom version is to be used in maven ?

The hidden question is about the archetype plugin. Currently
the plugin make some changes in the poms for the projects,
like adding/changing parents or modules.

I do imagine that there could be some trouble, if the plugin is
not aware of all the pom versions and can handle all, and rewrite
using the version used to load a pom.

I just wanted to have the archetype concern not forgotten.

I hope this would be of any help.

Regards,


Raphaël

2008/11/23 Brian E. Fox <brianf@reply.infinity.nu>:
>
>>what I'm saying is let's go farther and make the pom deployed to the
>>repo a more minimal pom... keeping only that which is actually needed
>
> This can only be done for poms that are not <packaging> poms, that is
> for things that are not inherited. Otherwise you still need to have the
> new pom version deployed to support all the features when building.
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> For additional commands, e-mail: dev-help@maven.apache.org
>
>
Mime
View raw message